package com.nmgs.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

public interface UserTableService {
    /**
     * 根据微信标识获取人员信息,不包含身份证图片
     * @params openId 微信用户标识id
     */

    public List getUserByOpenId(String openId);

    /**
     * 新增用户
     * @param openId
     * @return
     */
    public int addUser(String openId,String userName);

    /**
     * 用户信息修改
     * @return
     */
    public int updateUser(String userId,String idNumber,String phone,String realName,String numberPic);

    /**
     * 根据用户微信标识id 获取星级信息
     * @param openId
     * @return
     */
    public List getUserStarByOepnId(String openId);

    /**
     * 根据微信标识获取人员信息,包含身份证图片
     * @param openId
     * @return
     */
    public List getUserDetailByOpenId(String openId);

    /**
     * 验证用户信息是否已经存在
     *
     * @param PHONE
     * @param IDNUMBER
     * @param REALNAME
     * @return
     */
    public List checkUserInfo(String PHONE, String IDNUMBER, String REALNAME);

}
